> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create app file



## OpenAPI

````yaml /openapi.json post /api/apps/{appId}/fs/file
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/apps/{appId}/fs/file:
    post:
      tags:
        - Applications
      summary: Create app file
      operationId: postApiAppsByAppIdFsFile
      parameters:
        - name: appId
          in: path
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                path:
                  type: string
                  minLength: 1
                  maxLength: 1024
                content:
                  default: ''
                  type: string
                  maxLength: 1000000
                overwrite:
                  default: false
                  type: boolean
              required:
                - path
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                path:
                  type: string
                  minLength: 1
                  maxLength: 1024
                content:
                  default: ''
                  type: string
                  maxLength: 1000000
                overwrite:
                  default: false
                  type: boolean
              required:
                - path
          multipart/form-data:
            schema:
              type: object
              properties:
                path:
                  type: string
                  minLength: 1
                  maxLength: 1024
                content:
                  default: ''
                  type: string
                  maxLength: 1000000
                overwrite:
                  default: false
                  type: boolean
              required:
                - path
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.